/* Start Main Rules */

:root {
    --main-fill: linear-gradient(to right, #00D1FF, #1A83FF);
    --main-color: #000000;
    --main-c: #FFFFFF;
    --main-font-family: 'Familjen Grotesk', sans-serif;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: var(--main-font-family);

}

html {
    scroll-behavior: smooth;
}

body {
    overflow-x: hidden;
}

section,
footer {
    scroll-margin-top: 80px;
}

img {
    max-width: 100%;
}

button {
    width: fit-content;
    padding: clamp(10px, 1.5vw, 14px) clamp(20px, 3vw, 35px);


    font-weight: 600;
    text-align: center;
    font-size: clamp(14px, 1.2vw, 20px);

    background: var(--main-fill);
    border: none;
    outline: none;
    border-radius: 100px;
    cursor: pointer;

    color: var(--main-c);
    text-transform: uppercase;

    max-width: 100%;
    white-space: nowrap;
}

/* End Main Rules */

/* Start Home */

.home {
    width: 100%;
    min-height: 100vh;
    background-color: #FFFFFF;
    overflow-x: hidden;
}

/* Start Nav */
.navbar {
    width: 100%;
    background: var(--main-c);
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
}

.nav {

    margin: auto;
    
    width: 86%;
    max-width: 1300px;

    height: 80px;
    text-transform: capitalize;

    display: flex;
    justify-content: space-between;
    align-items: center;

}

.left-logo {
    width: clamp(70px, 10vw, 140px);
    height: auto;
}

.left-logo img {
    width: 100%;
    display: block;
}

.left-logo a {
    display: block;
}

.right {
    width: auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: clamp(18px, 3vw, 42px);
}

.right .links {
    font-weight: 400;
    text-align: center;
    list-style: none;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
}

.right .links a {
    color: var(--main-color);
    display: block;
    text-decoration: none;
    padding: 10px 15px;


}

.right .links a:hover{
    color: #1A83FF;

}

.menu-icon {
    display: none;
    font-size: 28px;
    cursor: pointer;
}

/* End Nave */

/* Start Hero */

.hero {
    padding-top: 80px;
    width: 100%;
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* الكونتينر الجديد */
.hero-container {
    width: 80%;
    display: flex;
    align-items: self-end;
    justify-content: space-between;
}

.img1,
.img2 {
    display: flex;
    justify-content: center;
    align-items: center;

    width: 199px;
    height: 199px;

    flex-shrink: 0;
    aspect-ratio: 1 / 1;
    background: var(--main-fill);
    border-radius: 50%;
}

.img1 img,
.img2 img {
    width: 50%;
    align-items: center;
    margin: auto;
    flex-shrink: 0;
    object-fit: contain;
}


.text-container {
    position: relative;
    z-index: 1;
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.text-container::after {
    content: '';
    position: absolute;
    z-index: -1;
    width: 500px;
    height: 500px;
    border-radius: 50%;
    background: var(--main-fill);
    -webkit-mask: radial-gradient(circle, transparent 69%, black 66%);
    mask: radial-gradient(circle, transparent 69%, black 66%);
}

.text-container h2 {
    width: 100%;
    max-width: 820px;
    min-height: 200px;
    margin: auto;
    font-weight: 600;
    font-size: clamp(44px, 5vw, 70px);
    line-height: 1.25;
    letter-spacing: 0;
    text-align: center;
    padding-bottom: 10px;
}

.text-container p {
    padding-bottom: 30px;
    width: 55%;
    font-weight: 500;
    font-size: 20px;
    line-height: 30px;
    letter-spacing: 2px;
    text-align: center;
}

/* End Hero */

/* End Home */

/* Start Features */

.features {
    position: relative;
    width: 100%;
    min-height: 100vh;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 100px;
    background-color: #20292C;
}

.center-img img {
    position: absolute;
    bottom: 0;
    left: 38%;
    max-width: 28vw;

}

.features .img-container {
    flex: 1;
}

.features .img-container img {
    width: 100%;
    height: auto;
    display: block;
}

.feature-container {
    justify-content: center;
    font-size: 35px;
    font-weight: 400;
    flex: 1;
    width: 50%;
    color: var(--main-c);
    display: flex;
    flex-direction: column;
    gap: 75px;
}

.f1 {
    display: flex;
    align-items: center;
    gap: 20px;

}

.im {
    width: 70px;
    height: 70px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--main-c);
    border-radius: 50%;
}

/* End Features */

/* Start Shoping */

.shop {
    width: 100%;
    min-height: 100vh;
}

.shop-container {
    padding: 80px 0;
    width: 86%;
    margin: auto;
}

.addres-container {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 30px;
}

.address h2 {
    font-size: 60px;
    font-weight: 600;
    line-height: 80px;
}

.address p {
    font-size: 24px;
    font-weight: 400;
    line-height: 50px;
}

.box-container {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
}

.box {
    height: 539px;
    display: flex;
    flex-direction: column;
    gap: 15px;
}


.box h2 {
    font-size: 32px;
    font-weight: 400;

}

.box .img-container {
    width: 100%;
    height: 420px;

}

.box .img-container img {
    width: 100%;
    display: block;
    height: auto;
    border-radius: 24px;
    aspect-ratio: 1 / 1;
    object-fit: cover;

}

/* End Shoping */

/* Start About Us */

.about {
    padding-top: 80px;
    width: 100%;
    min-height: 100vh;
    background: linear-gradient(rgba(0, 0, 0, 80%), rgba(0, 0, 0, 80%)), url("images/cover.jpg") no-repeat center / cover;
}


.about-container {

    color: var(--main-c);
    width: 80%;
    margin: auto;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    gap: 70px;
}

.about-us {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.tit h2 {
    font-size: clamp(28px, 5vw, 60px);
    font-weight: 600;
    line-height: 100px;
}

.tit p {
    font-size: clamp(14px, 1.5vw, 20px);
    font-weight: 400;
}

.about-us p {
    font-size: clamp(14px, 1.5vw, 20px);
    font-weight: 400;
    line-height: 1.6 ;

}

.services {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    gap: 20px;
    align-items: flex-start;
    flex: 1;
    counter-reset: x;
}

/* Card*/
.services div {
    display: flex;
    align-items: center;
    gap: clamp(5px,1vh,15px);

    padding: 15px 25px;
    border-radius: 25px;
    border: 1px solid rgba(255, 255, 255, 0.4);
    background: rgba(255, 255, 255, 0.1);

    counter-increment: x;
}

/* Counter*/
.services div::before {
    content: counter(x);

    display: flex;
    align-items: center;
    justify-content: center;

    width: 50px;
    height: 50px;
    border-radius: 50%;


    font-size: 60px;
    font-weight: 600;
}

/* Text*/
.services h2 {
    text-transform: capitalize;
    font-size: clamp(18px,3vw,30px);
    font-weight: 600;
    width: 100%;
    min-width: 250px;
}

/* End About Us */

/* Start Journal */
/* Start Journal */

.journal {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100vh;
    margin-top: 80px;
    background-color: #F3F5F6;
}

.journal-container {
    width: 86%;
    margin: auto;
    display: flex;
    flex-direction: column;
    counter-reset: x;
}


.journal-container .blok {
    display: flex;

    align-items: flex-start;

    gap: 20px;

    padding: 20px 40px;
    background-color: var(--main-c);
    border-bottom: 3px solid #F3F5F6;

    counter-increment: x;
}

/* اcounter*/
.journal-container .blok::before {
    content: counter(x, decimal-leading-zero);

    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 48px;
    font-weight: 700;

    color: #3C3C4380;
}

/* text contect*/
.content {

    flex: 1;
    display: flex;
    flex-direction: column;
}

/* icon + title*/
.journal-container .title {
    display: flex;
    justify-content: space-between;
    align-items: center;
    text-align: center;
}

/* paragraph*/
.parar {
    margin-top: 10px;
}

/* text*/
.journal-container h2 {
    font-weight: 700;
    font-size: 32px;
    padding: 15px;
}

.journal-container p {
    width: 90%;
    font-size: 20px;
    color: #3C3C43D9;
}

/* icons*/
.icon {
    width: 48px;
    height: 48px;
    background-color: #F3F5F6;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
}

.icon.icon1 {
    background: var(--main-fill);
    color: var(--main-c);
}


.d1 {
    border-radius: 24px 24px 0 0;
}

.d4 {
    border-radius: 0 0 24px 24px;
}

/* End Journal */


/* End Journal*/

/* Start Contact Us */
.contact {
    display: flex;
    justify-content: center;
    padding-top: 30px;
    width: 100%;
    height: 100vh;
}

.contact-container {
    width: 86%;
    height: 90vh;
    margin: auto;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    border-radius: 18.7px;
    background: linear-gradient(#201F1FCC, #201F1F);
}


.form-container {
    width: 50%;
    border-radius: 16px;
    display: flex;
    flex-direction: column;
    gap: 8px;
    color: var(--main-c);
}


.form-container h2 {
    width: 100%;
    font-size: 40px;
    font-weight: 600;
}

.form-container h1,
.form-container p {
    font-size: 14px;
    font-weight: 400;
}



.form-container input,
.form-container textarea {
    width: min(537px, 100%);
    padding: 20px 27px;
    border: 2px solid #8D8D8D;
    border-radius: 5.15px;
    outline: none;
    font-size: 12px;
    font-weight: 400;
    background: none;
}


button:hover {
    opacity: 0.8;
}

/* End Contact Us */

/* Start Footer */

footer {
    margin-top: 30px;
    width: 100%;
}


.footer-container {
    background-color: #201F1F;
}

footer .nav .right a {
    color: var(--main-c);
}

.social i {
    display: inline-flex;
    /* يخليها box ويتظبط جواها */
    justify-content: center;
    align-items: center;

    width: 33px;
    height: 33px;

    background-color: #333;
    color: white;

    border-radius: 50%;

    font-size: 14px;
    margin: 10px;

    transition: 0.3s;
}

.social i:hover {
    background-color: #ff6b6b;
}



.last {
    background: #323232;
    text-align: center;
    color: #858585;
    font-weight: 400;
    font-size: 16px;
    padding: 20px;
}

/* End Footer */



